<?php
// BH Widget Title Class was adapted from Link Widget Title by Allure Web Solutions (https://allurewebsolutions.com)

/*
 * Plugin Name:       BH Widget Title Class
 * Plugin URI:        https://elite-star-services.com/plugins/
 * Description:       BH Widget Title Class adds a Text Area to the Widget Options so you can Assign an Additional Title Class
 * Version:           1.0.4
 * Author:            Elite Star Services
 * Author URI:        https://elite-star-services.com
 * License:           GPL v3
 * License URI:       https://elite-star-services.com/license/
 * Text Domain:       bh-widget-title-class
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

/**
 * Current Plugin Version.
 */
define('LINK_WIDGET_TITLE_VERSION', '1.0.0');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-link-widget-title-activator.php
 */
function activate_link_widget_title()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-link-widget-title-activator.php';
	Link_Widget_Title_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-link-widget-title-deactivator.php
 */
function deactivate_link_widget_title()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-link-widget-title-deactivator.php';
	Link_Widget_Title_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_link_widget_title');
register_deactivation_hook(__FILE__, 'deactivate_link_widget_title');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-link-widget-title.php';

// CHECK FOR REQUIRED / SUGGESTED PLUGINS
require_once plugin_dir_path(__FILE__) . 'includes/tgm-plugin/check-plugins.php';

// CHECK IF UPGRADE AVAILABLE
require plugin_dir_path(__FILE__) . 'includes/bh-update/plugin-update-checker.php';
use YahnisElsts\PluginUpdateChecker\v5\PucFactory;
$MyUpdateChecker = PucFactory::buildUpdateChecker(
	'https://cs.elite-star-services.com/wp-repo/?action=get_metadata&slug=bh-widget-title-class', //Metadata URL.
	__FILE__, //Full path to the main plugin file.
	'bh-widget-title-class' //Plugin slug. Usually it's the same as the name of the directory.
);

// EXTRA PLUGIN FEATURES
define( 'BHWTC_PLUGIN_DIR', __DIR__ . DIRECTORY_SEPARATOR );
define( 'BHWTC_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );
define( 'BHWTC_PLUGIN_URL', 'https://elite-star-services.com/blue-haze-plugins/' );
//require_once BHWTC_PLUGIN_DIR . 'includes/ess/widget.php';
//require_once BHWTC_PLUGIN_DIR . 'includes/ess/notices.php';
require_once BHWTC_PLUGIN_DIR . 'includes/ess/links.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_link_widget_title()
{

	$plugin = new Link_Widget_Title();
	$plugin->run();
}
run_link_widget_title();
